## Smart Arrays Numerics


### What the package can do for you
- Creating a matrix / diagonal matrix / cloning matrix.
- Various numeric operations with matrices and vectors such as summation, multiplication, comparison.
- Inverting and transposing a matrix.


### The major API functionalities

- Available in the class `Numerics`.


#### Detailed API
Please view the detailed API documentation in the `API` reference of this package (sidebar at the right of this page).

### Using this package
You need Dart 2.0 or later.

Import the package using:
- `import 'package:smart_arrays_numerics/smart_arrays_numerics.dart';`

### Related packages


[`smart_arrays_base`: Basic functions for 1D and 2D arrays]( https://pub.dartlang.org/packages/smart_arrays_base)

[`smart_arrays_compress`: Compress 1D and 2D arrays to a smaller size.]( https://pub.dartlang.org/packages/smart_arrays_compress)

[`smart_arrays_dbstore`: Store 1D and 2D arrays along with metadata on the local device.]( https://pub.dartlang.org/packages/smart_arrays_dbstore)

[`smart_arrays_peaks`: Detect peaks in 1D and 2D arrays.]( https://pub.dartlang.org/packages/smart_arrays_peaks)

[`smart_arrays_lmfit`: Fits (x, y) data given as arrays to a specified model function using the  Levenberg-Marquardt algorithm.]( https://pub.dartlang.org/packages/smart_arrays_lmfit)

[`smart_lorentz-gauss`: Compute Lorentz-Gauss (pseudo-Voigt) line shapes.]( https://pub.dartlang.org/packages/smart_lorentz-gauss)

[`smart_signal_processing`: Fourier transform and more.]( https://pub.dartlang.org/packages/smart_signal_processing)

[`smart_dialogs`: Easy-to-use dialogs in Web applications]( https://pub.dartlang.org/packages/smart_dialogs)